Summary:       Parser Generator with Java Extension
Name:          byaccj
Version:       1.15
Release:       5%{?dist}
License:       Public Domain
URL:           http://byaccj.sourceforge.net/
Source0:       http://sourceforge.net/projects/byaccj/files/byaccj/1.15/%{name}%{version}_src.tar.gz

Patch0001:     byaccj-c99.patch

BuildRequires: gcc make

%description
BYACC/J is an extension of the Berkeley v 1.8 YACC-compatible  parser generator. Standard YACC takes a
YACC source file, and generates one or more C files from it, which if compiled properly, will produce a
LALR-grammar parser. This is useful for expression parsing, interactive command parsing, and file reading.
Many  megabytes of YACC code have been written over the years. This is the standard YACC tool that is in
use every day to produce C/C++ parsers. I have added a "-J" flag which will cause BYACC to generate Java
source code, instead. So there finally is a YACC for Java now! 

%prep
%autosetup -p1 -n %{name}%{version}
chmod -c -x src/* docs/*
sed -i -e 's|-arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4|$(LDFLAGS)|g' src/Makefile

%build
pushd src
%make_build yacc CFLAGS="%{optflags}" LDFLAGS="$RPM_LD_FLAGS"
popd

%install
install -p -Dm 755 src/yacc %{buildroot}%{_bindir}/%{name}

%files
%doc docs/* src/README
%{_bindir}/%{name}

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.15-1
- initial build
